Operations for managing customer-level autopilot settings
- Retrieve autopilot guidance for a customer.
Create or update autopilot guidance for a customer.
Delete autopilot guidance for a customer.
Retrieve autopilot guidan...
Adfin API (1.0.0)
Adfin uses OAuth 2.0 access tokens to authenticate all API requests.
There are two contexts in which tokens are issued:
Biller Access Tokens — Generated via the Authorization Code flow when a biller connects their Adfin account. These tokens grant access to that biller's data (invoices, payment requests, customers, etc.).
Platform Access Tokens — Generated via the Client Credentials flow for Adfin's own integrations and system events. These tokens authenticate Adfin as the platform itself (not as a specific biller) and are required for endpoints like
/api/webhook.
- Mock serverhttps://developer.adfin.com/_mock/api-docs/prod/customers/{customerId}/autopilot_settings
- Production API Server URLhttps://api.adfin.com/api/customers/{customerId}/autopilot_settings
- Staging API Server URLhttps://api.staging.adfin.com/api/customers/{customerId}/autopilot_settings
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://developer.adfin.com/_mock/api-docs/prod/customers/{customerId}/autopilot_settings' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
application/json
{ "customerId": "string", "settings": { "id": "string", "guidance": "string", "creationTime": "2019-08-24T14:15:22Z", "lastUpdatedTime": "2019-08-24T14:15:22Z" } }
- Mock serverhttps://developer.adfin.com/_mock/api-docs/prod/customers/{customerId}/autopilot_settings
- Production API Server URLhttps://api.adfin.com/api/customers/{customerId}/autopilot_settings
- Staging API Server URLhttps://api.staging.adfin.com/api/customers/{customerId}/autopilot_settings
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'https://developer.adfin.com/_mock/api-docs/prod/customers/{customerId}/autopilot_settings' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"guidance": "string"
}'Response
application/json
{ "customerId": "string", "settings": { "id": "string", "guidance": "string", "creationTime": "2019-08-24T14:15:22Z", "lastUpdatedTime": "2019-08-24T14:15:22Z" } }
- Mock serverhttps://developer.adfin.com/_mock/api-docs/prod/customers/{customerId}/autopilot_settings
- Production API Server URLhttps://api.adfin.com/api/customers/{customerId}/autopilot_settings
- Staging API Server URLhttps://api.staging.adfin.com/api/customers/{customerId}/autopilot_settings
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
'https://developer.adfin.com/_mock/api-docs/prod/customers/{customerId}/autopilot_settings' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'